org.jfree.chart.plot

## Interface Pannable

All Known Implementing Classes:
  CategoryPlot, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, FastScatterPlot, XYPlot

    public interface Pannable

An interface that the `ChartPanel` class uses to communicate with plots that support panning.

Since:
  1.0.13

### Method Summary

Methods
`PlotOrientation` `getOrientation()` Returns the orientation of the plot.
`boolean` `isDomainPannable()` Evaluates if the domain axis can be panned.
`boolean` `isRangePannable()` Evaluates if the range axis can be panned.
`void` `panDomainAxes(double percent, PlotRenderingInfo info, java.awt.geom.Point2D source)` Pans the domain axes by the specified percentage.
`void` `panRangeAxes(double percent, PlotRenderingInfo info, java.awt.geom.Point2D source)` Pans the range axes by the specified percentage.

### Method Detail

#### getOrientation

    PlotOrientation getOrientation()

Returns the orientation of the plot.

Returns:
  The orientation (never `null`).

#### isDomainPannable

    boolean isDomainPannable()

Evaluates if the domain axis can be panned.

Returns:
  `true` if the domain axis is pannable.

#### isRangePannable

    boolean isRangePannable()

Evaluates if the range axis can be panned.

Returns:
  `true` if the range axis is pannable.

#### panDomainAxes

    void panDomainAxes(double percent,
                     PlotRenderingInfo info,
                     java.awt.geom.Point2D source)

Pans the domain axes by the specified percentage.

Parameters:
  `percent` - the distance to pan (as a percentage of the axis length).
  `info` - the plot info
  `source` - the source point where the pan action started.

#### panRangeAxes

    void panRangeAxes(double percent,
                    PlotRenderingInfo info,
                    java.awt.geom.Point2D source)

Pans the range axes by the specified percentage.

Parameters:
  `percent` - the distance to pan (as a percentage of the axis length).
  `info` - the plot info
  `source` - the source point where the pan action started.